import http from '../utils/http'
let resquest = "/carstop/carMonitor"

// 车辆管理
export function carList(params) {
    return http.get(`${resquest}/carqueryCar.action`, params)
}

// 新增车辆
export function caradd(params) {
    return http.post(`${resquest}/caradd.action`, params)
}

// 更新车辆
export function carupdate(data) {
    return http.put(`${resquest}/carupdate.action`, data)
}

// 删除车辆
export function cardel(data) {
    return http.get(`${resquest}/cardel.action`, data)
}

// 导出车辆信息
export function cartoExcel(data) {
    return http.get(`${resquest}/cartoExcel.action`, data)
}


// 车辆日统计
export function carquery(params) {
    return http.post(`${resquest}/carMonitor/carqueryTj.action`, params)
}

// 查看车辆类型

export function ctypequeryAll(data) {
    return http.get(`${resquest}/carMonitor/ctypequeryAll.action`, data)
}

// 新增车辆类型

export function ctypeinsert(params) {
    return http.get(`${resquest}/carMonitor/ctypeinsert.action`, params)
}